# 新闻模块
# 在蓝图文件导入Blueprint
from flask import Blueprint, render_template
# 若template目录下，有一个与蓝图文件指定的目录下同名的一个html文件时，优先走template目录下的html文件
news_bp = Blueprint('news', __name__, url_prefix='/news',
                    template_folder='news_page', static_folder='news_static')


# 查询所有新闻信息
@news_bp.route('/newslist/')
def news_list():
    return render_template("news_list.html")


# 查询某新闻信息详情
@news_bp.route('/query/')
def query():
    return "新闻详情"